﻿namespace anbs_cp.Classes;

/// <summary>
/// Конвертер размеров файлов
/// </summary>
public sealed class FileSizeConverter : ValueConverter
{
    /// <summary>
    /// Имена размеров файлов по умолчанию
    /// </summary>
    public static readonly string[] DefaultNames = {"байт", "Кб", "Мб", "Гб", "Тб"};

    /// <summary>
    /// Конструктор класса
    /// </summary>
    /// <param name="valueNames">Массив имён размерностей</param>
    public FileSizeConverter (string[] valueNames) : base(valueNames, 1024)
    {
    }
}
